Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.transport
Interface TransportManager

All Known Implementing Classes:
  DefaultTransportManager, LoomTransportManager, PlexusTransportManager

    public interface TransportManager

Registers transports for the SOAP services.

Author:
  Dan Diephouse

Field Summary
`static java.lang.String` | `ROLE`

Method Summary
`void` | `disable(java.lang.String transport, java.lang.String serviceName)`
`void` | `disableAll(java.lang.String serviceName)`
`void` | `enable(java.lang.String transport, java.lang.String serviceName)`
`void` | `enableAll(java.lang.String serviceName)`
`Transport` | `getTransport(java.lang.String id)`
`Transport` | `getTransportForUri(java.lang.String uri)` Find the best transport for a particular URI.
`java.util.Collection` | `getTransports()`
`java.util.Collection` | `getTransports(java.lang.String service)` Get the transports applicable to a particular service.
`boolean` | `isEnabled(java.lang.String serviceName, java.lang.String transportName)` Determine if a transport is enabled for a particular service.
`void` | `register(Transport transport)`
`void` | `unregister(Transport transport)`

Field Detail

### ROLE

    static final java.lang.String ROLE

Method Detail

### register

    void register(Transport transport)

### unregister

    void unregister(Transport transport)

### getTransport

    Transport getTransport(java.lang.String id)

### getTransports

    java.util.Collection getTransports(java.lang.String service)

  Get the transports applicable to a particular service.

  Parameters:
    `service` -
  Returns:

### getTransports

    java.util.Collection getTransports()

### getTransportForUri

    Transport getTransportForUri(java.lang.String uri)

  Find the best transport for a particular URI.

  Parameters:
    `uri` -
  Returns:

### enableAll

    void enableAll(java.lang.String serviceName)

### disableAll

    void disableAll(java.lang.String serviceName)

### enable

    void enable(java.lang.String transport,
                java.lang.String serviceName)

### disable

    void disable(java.lang.String transport,
                 java.lang.String serviceName)

### isEnabled

    boolean isEnabled(java.lang.String serviceName,
                      java.lang.String transportName)

  Determine if a transport is enabled for a particular service.

  Parameters:
    `serviceName` - The name of the service.
    `transportName` - The name of the transport.
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.